// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/text_types.proto

package gg.dsepractice.chinese.v1alpha1;

/**
 * Protobuf type {@code dsepractice.chinese.v1alpha1.TestParseReport}
 */
public  final class TestParseReport extends
    com.google.protobuf.GeneratedMessageLite<
        TestParseReport, TestParseReport.Builder> implements
    // @@protoc_insertion_point(message_implements:dsepractice.chinese.v1alpha1.TestParseReport)
    TestParseReportOrBuilder {
  private TestParseReport() {
    classicTexts_ = emptyProtobufList();
  }
  public static final int CLASSIC_TEXTS_FIELD_NUMBER = 1;
  private com.google.protobuf.Internal.ProtobufList<gg.dsepractice.chinese.v1alpha1.ClassicText> classicTexts_;
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
   */
  @java.lang.Override
  public java.util.List<gg.dsepractice.chinese.v1alpha1.ClassicText> getClassicTextsList() {
    return classicTexts_;
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
   */
  public java.util.List<? extends gg.dsepractice.chinese.v1alpha1.ClassicTextOrBuilder> 
      getClassicTextsOrBuilderList() {
    return classicTexts_;
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
   */
  @java.lang.Override
  public int getClassicTextsCount() {
    return classicTexts_.size();
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
   */
  @java.lang.Override
  public gg.dsepractice.chinese.v1alpha1.ClassicText getClassicTexts(int index) {
    return classicTexts_.get(index);
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
   */
  public gg.dsepractice.chinese.v1alpha1.ClassicTextOrBuilder getClassicTextsOrBuilder(
      int index) {
    return classicTexts_.get(index);
  }
  private void ensureClassicTextsIsMutable() {
    com.google.protobuf.Internal.ProtobufList<gg.dsepractice.chinese.v1alpha1.ClassicText> tmp = classicTexts_;
    if (!tmp.isModifiable()) {
      classicTexts_ =
          com.google.protobuf.GeneratedMessageLite.mutableCopy(tmp);
     }
  }

  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
   */
  private void setClassicTexts(
      int index, gg.dsepractice.chinese.v1alpha1.ClassicText value) {
    value.getClass();
  ensureClassicTextsIsMutable();
    classicTexts_.set(index, value);
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
   */
  private void addClassicTexts(gg.dsepractice.chinese.v1alpha1.ClassicText value) {
    value.getClass();
  ensureClassicTextsIsMutable();
    classicTexts_.add(value);
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
   */
  private void addClassicTexts(
      int index, gg.dsepractice.chinese.v1alpha1.ClassicText value) {
    value.getClass();
  ensureClassicTextsIsMutable();
    classicTexts_.add(index, value);
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
   */
  private void addAllClassicTexts(
      java.lang.Iterable<? extends gg.dsepractice.chinese.v1alpha1.ClassicText> values) {
    ensureClassicTextsIsMutable();
    com.google.protobuf.AbstractMessageLite.addAll(
        values, classicTexts_);
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
   */
  private void clearClassicTexts() {
    classicTexts_ = emptyProtobufList();
  }
  /**
   * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
   */
  private void removeClassicTexts(int index) {
    ensureClassicTextsIsMutable();
    classicTexts_.remove(index);
  }

  public static gg.dsepractice.chinese.v1alpha1.TestParseReport parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.TestParseReport parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.TestParseReport parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.TestParseReport parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.TestParseReport parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.TestParseReport parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.TestParseReport parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.TestParseReport parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.TestParseReport parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.TestParseReport parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.TestParseReport parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.TestParseReport parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }

  public static Builder newBuilder() {
    return (Builder) DEFAULT_INSTANCE.createBuilder();
  }
  public static Builder newBuilder(gg.dsepractice.chinese.v1alpha1.TestParseReport prototype) {
    return (Builder) DEFAULT_INSTANCE.createBuilder(prototype);
  }

  /**
   * Protobuf type {@code dsepractice.chinese.v1alpha1.TestParseReport}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageLite.Builder<
        gg.dsepractice.chinese.v1alpha1.TestParseReport, Builder> implements
      // @@protoc_insertion_point(builder_implements:dsepractice.chinese.v1alpha1.TestParseReport)
      gg.dsepractice.chinese.v1alpha1.TestParseReportOrBuilder {
    // Construct using gg.dsepractice.chinese.v1alpha1.TestParseReport.newBuilder()
    private Builder() {
      super(DEFAULT_INSTANCE);
    }


    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
     */
    @java.lang.Override
    public java.util.List<gg.dsepractice.chinese.v1alpha1.ClassicText> getClassicTextsList() {
      return java.util.Collections.unmodifiableList(
          instance.getClassicTextsList());
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
     */
    @java.lang.Override
    public int getClassicTextsCount() {
      return instance.getClassicTextsCount();
    }/**
     * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
     */
    @java.lang.Override
    public gg.dsepractice.chinese.v1alpha1.ClassicText getClassicTexts(int index) {
      return instance.getClassicTexts(index);
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
     */
    public Builder setClassicTexts(
        int index, gg.dsepractice.chinese.v1alpha1.ClassicText value) {
      copyOnWrite();
      instance.setClassicTexts(index, value);
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
     */
    public Builder setClassicTexts(
        int index, gg.dsepractice.chinese.v1alpha1.ClassicText.Builder builderForValue) {
      copyOnWrite();
      instance.setClassicTexts(index,
          builderForValue.build());
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
     */
    public Builder addClassicTexts(gg.dsepractice.chinese.v1alpha1.ClassicText value) {
      copyOnWrite();
      instance.addClassicTexts(value);
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
     */
    public Builder addClassicTexts(
        int index, gg.dsepractice.chinese.v1alpha1.ClassicText value) {
      copyOnWrite();
      instance.addClassicTexts(index, value);
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
     */
    public Builder addClassicTexts(
        gg.dsepractice.chinese.v1alpha1.ClassicText.Builder builderForValue) {
      copyOnWrite();
      instance.addClassicTexts(builderForValue.build());
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
     */
    public Builder addClassicTexts(
        int index, gg.dsepractice.chinese.v1alpha1.ClassicText.Builder builderForValue) {
      copyOnWrite();
      instance.addClassicTexts(index,
          builderForValue.build());
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
     */
    public Builder addAllClassicTexts(
        java.lang.Iterable<? extends gg.dsepractice.chinese.v1alpha1.ClassicText> values) {
      copyOnWrite();
      instance.addAllClassicTexts(values);
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
     */
    public Builder clearClassicTexts() {
      copyOnWrite();
      instance.clearClassicTexts();
      return this;
    }
    /**
     * <code>repeated .dsepractice.chinese.v1alpha1.ClassicText classic_texts = 1 [json_name = "classicTexts"];</code>
     */
    public Builder removeClassicTexts(int index) {
      copyOnWrite();
      instance.removeClassicTexts(index);
      return this;
    }

    // @@protoc_insertion_point(builder_scope:dsepractice.chinese.v1alpha1.TestParseReport)
  }
  @java.lang.Override
  @java.lang.SuppressWarnings({"unchecked", "fallthrough"})
  protected final java.lang.Object dynamicMethod(
      com.google.protobuf.GeneratedMessageLite.MethodToInvoke method,
      java.lang.Object arg0, java.lang.Object arg1) {
    switch (method) {
      case NEW_MUTABLE_INSTANCE: {
        return new gg.dsepractice.chinese.v1alpha1.TestParseReport();
      }
      case NEW_BUILDER: {
        return new Builder();
      }
      case BUILD_MESSAGE_INFO: {
          java.lang.Object[] objects = new java.lang.Object[] {
            "classicTexts_",
            gg.dsepractice.chinese.v1alpha1.ClassicText.class,
          };
          java.lang.String info =
              "\u0000\u0001\u0000\u0000\u0001\u0001\u0001\u0000\u0001\u0000\u0001\u001b";
          return newMessageInfo(DEFAULT_INSTANCE, info, objects);
      }
      // fall through
      case GET_DEFAULT_INSTANCE: {
        return DEFAULT_INSTANCE;
      }
      case GET_PARSER: {
        com.google.protobuf.Parser<gg.dsepractice.chinese.v1alpha1.TestParseReport> parser = PARSER;
        if (parser == null) {
          synchronized (gg.dsepractice.chinese.v1alpha1.TestParseReport.class) {
            parser = PARSER;
            if (parser == null) {
              parser =
                  new DefaultInstanceBasedParser<gg.dsepractice.chinese.v1alpha1.TestParseReport>(
                      DEFAULT_INSTANCE);
              PARSER = parser;
            }
          }
        }
        return parser;
    }
    case GET_MEMOIZED_IS_INITIALIZED: {
      return (byte) 1;
    }
    case SET_MEMOIZED_IS_INITIALIZED: {
      return null;
    }
    }
    throw new UnsupportedOperationException();
  }


  // @@protoc_insertion_point(class_scope:dsepractice.chinese.v1alpha1.TestParseReport)
  private static final gg.dsepractice.chinese.v1alpha1.TestParseReport DEFAULT_INSTANCE;
  static {
    TestParseReport defaultInstance = new TestParseReport();
    // New instances are implicitly immutable so no need to make
    // immutable.
    DEFAULT_INSTANCE = defaultInstance;
    com.google.protobuf.GeneratedMessageLite.registerDefaultInstance(
      TestParseReport.class, defaultInstance);
  }

  public static gg.dsepractice.chinese.v1alpha1.TestParseReport getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static volatile com.google.protobuf.Parser<TestParseReport> PARSER;

  public static com.google.protobuf.Parser<TestParseReport> parser() {
    return DEFAULT_INSTANCE.getParserForType();
  }
}

